﻿namespace System.Data.Entity.Extensions
{
    /// <summary>
    /// 
    /// </summary>
    public class AccessEventArgs : EventArgs
    {
        #region Constructor

        /// <summary>
        /// 
        /// </summary>
        /// <param name="result"></param>
        public AccessEventArgs(bool result)
            : base()
        {
            this._result = result;
        }

        #endregion

        #region Result

        /// <summary>
        /// 
        /// </summary>
        private bool _result;

        /// <summary>
        /// 
        /// </summary>
        public bool Result
        {
            get
            {
                return this._result;
            }
            set
            {
                if (value != this._result)
                {
                    this._result = value;
                }
            }
        }

        #endregion
    }
}
