﻿namespace System.Data.Entity.Extensions.Repository
{
    /// <summary>
    /// 
    /// </summary>
    /// <typeparam name="TEntity"></typeparam>
    public class ActionEventArgs<TEntity> : EventArgs where TEntity : class
    {
        #region Constructor

        /// <summary>
        /// 
        /// </summary>
        /// <param name="entity"></param>
        public ActionEventArgs(TEntity entity)
        {
            this._entity = entity;
        }

        #endregion

        #region TEntity

        /// <summary>
        /// 
        /// </summary>
        private TEntity _entity;

        /// <summary>
        /// 
        /// </summary>
        public TEntity Entity
        {
            get
            {
                return this._entity;
            }
        }

        #endregion
    }
}
